<?php

declare(strict_types=1);

namespace App\Filament\Resources\Comments;

use App\Filament\Resources\Comments\Pages\ListComments;
use App\Models\Comment;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Tables\Table;
use UnitEnum;

class CommentResource extends Resource
{
    protected static ?string $model = Comment::class;

    protected static string|BackedEnum|null $navigationIcon = 'heroicon-o-chat-bubble-left-ellipsis';

    protected static ?string $navigationLabel = 'کامنت‌ها';

    protected static ?string $modelLabel = 'کامنت';

    protected static ?string $pluralModelLabel = 'کامنت‌ها';

    protected static string|null|UnitEnum $navigationGroup = 'پشتیبانی';

    public static function table(Table $table): Table
    {
        return \App\Filament\Resources\Comments\Tables\CommentsTable::configure($table);
    }

    public static function getPages(): array
    {
        return [
            'index' => ListComments::route('/'),
        ];
    }
}
